<div class="row no-gutters loading-list-view mt-4"
     *ngIf="Items.length === 0">
    <div class="col-11 col-xl-10 mx-auto d-flex justify-content-center align-items-center bg-tw-dark4 mb-2 title-unload text-tw-white">
        در حال لود شدن
    </div>
    <div class="col-11 col-xl-10 mx-auto d-flex justify-content-center align-items-center bg-tw-dark4 mb-5 content-unload">
        <i class="fa fa-spinner fa-3x text-tw-white"></i>
    </div>
</div>
<div class="row no-gutters direction-rtl"
     *ngIf="Items && Items.length">
    <div class="col-11 col-xl-10 mx-auto py-4">
        <div class="row no-gutters bg-tw-dark4 mb-2 list-view-title px-3 px-lg-4 text-tw-white d-flex align-items-center justify-content-between">
            <span class="pointer no-outline">{{Title | numberToPersian}}</span>
        </div>
        <div class="row no-gutters bg-tw-dark4 list-view-content px-2 px-md-2 px-lg-0 text-tw-white d-flex align-items-center justify-content-center pt-4">
            <ul class="row no-gutters w-100 p-0 m-0 live"
                *ngIf="Type === generalService.configs.viewTypes.live">
                <li class="col-6 col-ph-4 col-md-3 col-lg-2 px-1 px-sm-3 px-xl-4 pb-4"
                    *ngFor="let item of Items">
                    <div class="align-items-center bg-tw-red channel-box d-flex justify-content-center w-100 no-outline pointer"
                         [routerLink]="['/live', item.getDescriptor()]">
                        <img [src]="item.getImageName()">
                    </div>
                    <div class="bg-tw-crimson w-100 py-2 no-outline pointer"
                         [routerLink]="['/live', item.getDescriptor()]">
                        <div class="live text-center">
                            پخش زنده
                        </div>
                        <div class="text-center channels px-2 text-nowrap text-truncate">
                            <span *ngIf="item.getName().split(' ')[0] !== 'شبکه'"> شبکه </span>
                            <span>{{item.getName()}}</span>
                        </div>
                    </div>
                </li>
            </ul>
            <ul class="row no-gutters w-100 p-0 m-0 episode-poster-style px-lg-3"
                *ngIf="Type === generalService.configs.viewTypes.episode_poster_style">
                <li class="col-6 col-sm-4 col-md-3 col-lg-2 px-2"
                    *ngFor="let item of Items">
                    <img class="w-100 pointer no-outline"
                         [lazyLoad]="item.getProgram().getBackgroundImageName()"
                         [offset]="0"
                         [defaultImage]="generalService.configs.default_image_poster"
                         [routerLink]="['/episode', item.getId()]">
                    <i class="fa fa-play fa-3x text-tw-red pointer no-outline"
                       [routerLink]="['/episode', item.getId()]"></i>
                    <div class="bg-tw-dark4 p-1 px-2 time-box text-tw-white row no-gutters"
                         [routerLink]="['/episode/' + item.getId()]">
                        <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                        <span class="font-iransans-bold">
                            {{item.getDurationMins() | numberToPersian}}
                        </span>
                    </div>
                    <div class="w-100 bg-tw-dark3 mt-2 mb-4 movies-info p-2 pointer no-outline"
                         [routerLink]="['/episode/' + item.getId()]">
                        <div class="row no-gutters text-nowrap text-truncate">
                            <span>{{item.getTitle()}}</span>
                        </div>
                        <div class="row no-gutters view-count my-2 text-tw-gray3">
                            <i class="fa fa-eye ml-2"></i>
                            <span>{{item.getViewCount().toString() | number | numberToPersian}}</span>
                        </div>
                    </div>
                </li>
            </ul>
            <ul class="row no-gutters w-100 p-0 m-0 program-poster-style px-lg-3"
                *ngIf="Type === generalService.configs.viewTypes.program_poster_style">
                <li class="col-6 col-sm-4 col-md-3 col-lg-2 px-2"
                    *ngFor="let item of Items">
                    <img [lazyLoad]="item.getBackgroundImageName()"
                         [offset]="0"
                         [defaultImage]="generalService.configs.default_image_poster"
                         class="w-100 pointer no-outline"
                         [routerLink]="['/program', item.getId()]">
                    <i class="fa fa-play fa-3x text-tw-red pointer no-outline"
                       [routerLink]="['/program', item.getId()]"></i>
                    <div class="w-100 bg-tw-dark3 mt-2 mb-4 movies-info p-2 pointer no-outline"
                         [routerLink]="['/program/' + item.getId()]">
                        <div class="row no-gutters text-nowrap text-truncate">
                            <span>{{item.getTitle()}}</span>
                        </div>
                        <div class="row no-gutters view-count my-2 text-tw-gray3">
                            <i class="fa fa-eye ml-2"></i>
                            <span>{{item.getViewCount().toString() | number | numberToPersian}}</span>
                        </div>
                    </div>
                </li>
            </ul>
            <ul class="row no-gutters w-100 p-0 m-0 episode-cover-style px-lg-3"
                *ngIf="Type === generalService.configs.viewTypes.episode_cover_style">
                <li class="col-6 col-sm-4 col-md-3 col-lg-2 px-2"
                    *ngFor="let item of Items">
                    <img class="w-100 pointer no-outline"
                         [lazyLoad]="item.getPicturePath()"
                         [offset]="0"
                         [defaultImage]="generalService.configs.default_image_poster"
                         [routerLink]="['/episode/' + item.getId()]">
                    <i class="fa fa-play text-tw-red pointer no-outline"
                       [routerLink]="['/episode/' + item.getId()]"></i>
                    <div class="bg-tw-dark4 p-1 px-2 time-box text-tw-white row no-gutters"
                         [routerLink]="['/episode/' + item.getId()]">
                        <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                        <span class="font-iransans-bold">
                            {{item.getDurationMins() | numberToPersian}}
                        </span>
                    </div>
                    <div class="w-100 bg-tw-dark3 mt-2 mb-4 episode-info pointer no-outline p-2"
                         [routerLink]="['/episode/' + item.getId()]">
                        <div class="row no-gutters text-nowrap text-truncate">
                            <span class="text-truncate">{{item.getTitle()}}</span>
                        </div>
                        <div class="row no-gutters text-nowrap text-truncate text-tw-gray3 my-2">
                            <span class="text-truncate">{{item.getProgram().getTitle()}}</span>
                        </div>
                        <div class="row no-gutters view-count text-tw-gray3 d-flex align-items-center">
                            <i class="fa fa-eye ml-2"></i>
                            <span>{{item.getViewCount().toString() | number | numberToPersian}}</span>
                        </div>
                    </div>
                </li>
            </ul>
            <ul class="row no-gutters w-100 p-0 m-0 program-cover-style px-lg-3"
                *ngIf="Type === generalService.configs.viewTypes.program_cover_style">
                <li class="col-6 col-sm-4 col-md-3 col-lg-2 px-2"
                    *ngFor="let item of Items">
                    <img class="w-100 pointer no-outline"
                         [lazyLoad]="item.getCoverImageName()"
                         [offset]="0"
                         [defaultImage]="generalService.configs.default_image_poster"
                         [routerLink]="['/episode/' + item.getId()]">
                    <i class="fa fa-play text-tw-red pointer no-outline"
                       [routerLink]="['/episode/' + item.getId()]"></i>
                    <div class="w-100 bg-tw-dark3 mt-2 mb-4 episode-info pointer no-outline p-2"
                         [routerLink]="['/episode/' + item.getId()]">
                        <div class="row no-gutters text-nowrap text-truncate">
                            <span class="text-truncate">{{item.getTitle()}}</span>
                        </div>
                        <div class="row no-gutters view-count text-tw-gray3 d-flex align-items-center my-2">
                            <i class="fa fa-eye ml-2"></i>
                            <span>{{item.getViewCount().toString() | number | numberToPersian}}</span>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
        <div class="w-100 d-flex justify-content-center mt-4 load-more"
             *ngIf="Items.length > 29">
            <button class="btn btn-tw-dark3 no-outline d-flex justify-content-around align-items-center"
                    (click)="LoadMore.emit()">
                <span>مشاهده {{LoadMoreTitle}} بیشتر</span>
                <i class="fa fa-undo"></i>
            </button>
        </div>
    </div>
</div>
